<template>
  <div>
    {{getState.pessoa}}
    <input type="text" v-model="state.entradaDados" @keypress="setPessoa()">
  </div>
</template>

<script>
import { reactive } from '@vue/runtime-core'
import {state as getState, setState} from '../store/'

export default {
  setup() {
    
    const state = reactive({
      entradaDados: null
    })

    const setPessoa = () => {
      setState('pessoa', {nome: state.entradaDados})
    }

    return {
      getState,
      setState, 
      setPessoa,
      state
    }
  },
}
</script>

<style scoped>
div {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  background-color: #2c3e50;
  margin-top: 60px;
  color: #FFF;
}
</style>